Get the casting of an asset type

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/projects/{project_id}/asset-types/{asset_type_id}/casting

Get the casting of each asset of an asset type in a project. The casting of an entity is the list of assets in the entity, with the number of occurrences of each asset.

Path parameters

  • project_id string(uuid) Required

    Unique identifier of the project

  • asset_type_id string(uuid) Required

    Unique identifier of the asset type

Responses

  • 200 application/json

    A map of asset identifiers to castings

    Hide response attributes Show response attributes object
    • asset_id string(uuid)

      Asset unique identifier

    • asset_name string

      Asset name

    • asset_type_id string(uuid)

      Asset type identifier

    • casting array[object]
      Hide casting attributes Show casting attributes object
      • entity_id string(uuid)

        Entity identifier

      • entity_name string

        Entity name

      • entity_type string

        Entity type (shot/sequence)

  • 403

    You do not have access to this project, or you are a vendor

  • 404

    The asset type does not exist

GET /data/projects/{project_id}/asset-types/{asset_type_id}/casting
curl -X GET "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/asset-types/g80g2kg0-ik31-0221-g736-13019648i81/casting" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/asset-types/g80g2kg0-ik31-0221-g736-13019648i81/casting"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {
    "asset_id": "c46c80c6-e097-6887-c292-79675204e470",
    "asset_name": "Main Character",
    "asset_type_id": "08002400-2431-0221-0736-130196482810",
    "casting": [
      {
        "entity_id": "e68e02e8-0219-8009-e514-918974260690",
        "entity_name": "SH001",
        "entity_type": "shot"
      }
    ]
  }
]